<?php 
/*
 * Husky控制台
 */
if(!defined('EMLOG_ROOT')) {exit('error!');} 
require_once('inc/config.php');
if (ROLE == ROLE_ADMIN):
require_once('inc/functions.php');
plugin_setting();
?>
<div class="container index">
<link rel='stylesheet' id='set-css'  href='<?php echo TEMPLATE_URL; ?>css/set.css' type='text/css' media='all' />
<script src="<?php echo TEMPLATE_URL; ?>inc/jquery.js"></script>
<div id="setting" >
<main id="main" class="site-main" role="main">
<form action="?setting&do=save" method="post" id="input" class="da-form" enctype="multipart/form-data">
<div class="set_nav">
<ul><li class="active"><a href="#sethome">基本配置</a></li>
<li><a href="#plus">图标设置</a></li>
<li><a href="#setaside">工具设置</a></li>
<li class="last"><input type="submit" value="保 存" class="svae" /></li>
</ul></div>
<div class="set_cnt">
<div class="set_box" id="sethome" style="display:block">
<div class="da-form-row">
<td class="right_td">站点LOGO：</td>
<td class="left_td"><input type="file" name="logo" style="display: inline-flex;" class="text-width"/></td>
<td class="right_td"><img src="<?php echo $logo ?  $logo : ''.TEMPLATE_URL."images/logo.png";?>" width="135px" height="32px" style="margin-left:5px;margin-top:-3px;border-radius: 3px;border:1px solid #eee;padding:2px"></td>
</div>
<div class="da-form-row">
<td class="right_td">首页CMS风格分类ID：</td>
<td class="left_td"><input size="20" name="cms_cid" type="text" value="<?php echo $cms_cid; ?>" class="text-width"/></td>
<td class="right_td">多个模块之间用英文<span style="color:red">逗号</span>隔开即可！</td>
</div>
<div class="da-form-row">
<td class="right_td">源码压缩：</td>
<span class="right_td">
<td class="left_td"><input name="compress_html" type="radio" value="1" <?php if ($compress_html == "1") echo 'checked'?> ></input></td>
<td class="right_td">开启</td>
<td class="right_td"><input name="compress_html" type="radio"  value="2" <?php if ($compress_html == "2") echo 'checked'?>></input></td>
<td class="right_td">关闭</td>
</span>
</div>

<div class="da-form-row">
<td class="right_td">QQ号码：</td>
<td class="left_td"><input size="30" name="txqq" type="text" value="<?php echo $txqq; ?>" class="text-width"/></td>
</div>
</div>

<div class="set_box" id="setaside">
<div class="da-form-row">
<td class="right_td">开启菜单栏更多：</td>
<td class="left_td"><input name="more" type="radio" value="1" <?php if ($more == "1") echo 'checked'?> ></input></td>
<td class="right_td">开启</td>
<td class="left_td"><input name="more" type="radio" value="2" <?php if ($more == "2") echo 'checked'?> ></input></td>
<td class="right_td">关闭</td>
</div>
<div class="da-form-row">
<td class="right_td">开启广告：</td>
<td class="left_td"><input name="HUAD" type="radio" value="1" <?php if ($HUAD == "1") echo 'checked'?> ></input></td>
<td class="right_td">开启</td>
<td class="left_td"><input name="HUAD" type="radio" value="2" <?php if ($HUAD == "2") echo 'checked'?> ></input></td>
<td class="right_td">关闭</td>
</div>
<div class="da-form-row">
<td class="right_td">广告图片1：</td>
<td class="left_td"><input size="30" name="ADimg" type="text" value="<?php echo $ADimg; ?>" class="text-width"/></td>
</div>
<div class="da-form-row">
<td class="right_td">广告链接1：</td>
<td class="left_td"><input size="30" name="ADurl" type="text" value="<?php echo $ADurl; ?>" class="text-width"/></td>
</div>
<div class="da-form-row">
<td class="right_td">广告图片2：</td>
<td class="left_td"><input size="30" name="ADimg2" type="text" value="<?php echo $ADimg2; ?>" class="text-width"/></td>
</div>
<div class="da-form-row">
<td class="right_td">广告链接2：</td>
<td class="left_td"><input size="30" name="ADurl2" type="text" value="<?php echo $ADurl2; ?>" class="text-width"/></td>
</div>
<div class="da-form-row">
<td class="right_td">菜单栏更多功能 (<span style="color:red; font-weight:bold">支持html代码</span>)</td><br/>
<p><textarea name="more_html" cols="125" rows="8" id="home_text" ><?php echo $more_html; ?></textarea></p>
</div>
</div>

<div class="set_box" id="plus">
<div class="da-form-row">
<td class="right_td"><span style="color:red; font-weight:bold">导航设置: <a href="http://www.fontawesome.com.cn/faicons/" rel="external nofollow" target="_black">Awesome 字体图标</a></span></td>
</div>
<div class="da-form-row">
<td class="right_td"> 导航图标设置(<span style="color:red; font-weight:bold">注意更改导航后需重新设置</span>)</td></br>
<?php
global $CACHE; 
global $arr_navico1; 
$navi_cache = $CACHE->readCache('navi');
foreach($navi_cache as $num=>$value):

        if ($value['pid'] != 0) {
            continue;
        }
		$id=$value["id"];
		
		echo '<td class="right_td">'.$value['naviname'].' &nbsp; =></td>
<td class="left_td"><input class="input"  value="'.$arr_navico1[$id].'" name="arr_navico['.$id.']"></td></br>';
endforeach;
?>
</div>
<div class="da-form-row">
<td class="right_td">分类和二级导航图标(<span style="color:red; font-weight:bold">注意更改分类后需重新设置</span>)</td></br>
<?php
global $CACHE;
$sort_cache = $CACHE->readCache('sort'); 
global $arr_navico1; 
foreach($sort_cache as $num=>$value):
		$sid=$value["sid"];
		
		echo '<td class="right_td">'.$value['sortname'].' &nbsp; =></td>
<td class="left_td"><input class="input"  value="'.$arr_sortico1[$sid].'" name="arr_sortico['.$sid.']"></td></br>';
endforeach;
?>
</div>
</div>
</div>
</form>
</main>
</div>
</div>
<script>
$(function(){
	$(".set_nav li").not(".set_nav .last").click(function(e) {
		e.preventDefault();
		$(this).addClass("active").siblings().removeClass("active");
		$($(this).children("a").attr("href")).show().siblings().hide();
	});
	
  })
</script>
<?php else:?>
<?php header("Location:".BLOG_URL.""); exit; ?> 
<?php endif; ?>
<div class="clear"></div>
<br/>
<?php include View::getView('footer');?>